{
  "compilerOptions": {
    "target": "ES2020",
    "module": "ESNext",
    "types": ["node", "vite/client"],
    "moduleResolution": "bundler",
    "lib": ["ES2020", "DOM", "ES2020.Intl"],
    "baseUrl": ".",
    "paths": {
      "@/*": ["src/*"]
    },
    "jsx": "preserve",
    "allowJs": true,
    "strict": true,
    "noEmit": true,
    "skipLibCheck": true,
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true
  },
  "include": ["src/**/*.ts", "src/**/*.tsx", "src/**/*.vue", "vite.config.ts"],
  "exclude": ["src/pages/404.vue", "src/pages/Error.vue"]
}
